package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

/**
 * DrawGraphicsSquareVo
 *
 * @author 杨兴卓
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DrawGraphicsSquareVo {

    /**
     * ugc用户id
     */
    private Long ugcUserId;

    /**
     * ugc用户头像
     */
    private String ugcUserAvatar;

    /**
     * ugc用户名称
     */
    private String ugcUserName;

    /**
     * 图像id
     */
    private Long graphicsId;

    /**
     * 图像地址
     */
    private String ossUrl;

    /**
     * 图像宽度
     */
    private Integer width;

    /**
     * 图像高度
     */
    private Integer height;

    /**
     * 图像标题
     */
    private String title;

    /**
     * 使用人数
     */
    private Integer useCount;

    /**
     * 该用户是否收藏了
     */
    private Integer isCollect;

    /**
     * 绘画模型名称
     */
    private String modelName;

    /**
     * 正向提示词
     */
    private String prompt;

    /**
     * 反向提示词
     */
    private String reversePrompt;

    /**
     * 随机数种子
     */
    private Long randomSeed;

    /**
     * 作品编号
     */
    private String workNo;
}
