package com.xyzc.start.domain.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 会员卡订单展示列表
 *
 * @author 杨兴卓
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MemberCardOrderVo {

    /**
     * 会员卡名称
     */
    private String cardName;

    /**
     * 会员卡别名
     */
    private String cardAlias;

    /**
     * 会员卡价格
     */
    private BigDecimal price;

    /**
     * 会员卡时长
     */
    private Integer memberCardTime;

    /**
     * 时间单位
     */
    private Integer timeUnit;

}
