package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.FuelPackage;
import com.xyzc.start.domain.bo.CreateOrderBo;
import com.xyzc.start.domain.vo.FuelPackageOrderVo;
import com.xyzc.start.domain.vo.FuelPackageVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 燃料包Mapper接口
 *
 * @author yz
 * @date 2024-06-25
 */
@Mapper
public interface FuelPackageMapper extends BaseMapperPlus<FuelPackage, FuelPackageVo> {


    /**
     *
     * @param bo
     * @param agentId
     * @return
     */
    List<FuelPackageOrderVo> queryOrderByFuelPackageId(CreateOrderBo bo, long agentId);
}
