package com.xyzc.start.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xyzc.start.domain.*;
import org.springframework.core.io.FileSystemResource;
import org.springframework.web.multipart.MultipartFile;

import java.security.NoSuchAlgorithmException;
import java.util.List;

public interface INpCommitService {

    String getToken() throws NoSuchAlgorithmException;

    /**
     * 提交训练视频
     */
    public void commitTrainVideo(NpCommitTrain npCommitTrain);

    void uploadMaterial(MultipartFile file, String rootId);

    void uploadMusic(NpMusic npMusic);

    void uploadCommonTemplate(NpFormwork npFormwork);

    void udateDraftName(NpTemplateDraft templateDraft);

    void deleteDraftById(NpTemplateDraft templateDraft);

//    void uploadText(NpText npText);

//    NpTemplateDraft getTemplateDraft(String templateId);
}
