package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 插入数据demo
 */
@RestController
@RequestMapping("insert")
public class InsertDataDemoController {

    /**
     * 添加绘画模型
     */
    @PostMapping("addDrawModel")
    public Result<String> addPaintingModel() {

        return Result.ok("插入数据成功");
    }

    /**
     * 查询所有的绘画模型id
     */
    @GetMapping("graphicsIds")
    public Result<String> queryPaintingModel() {

        return Result.ok("查询数据成功");
    }


    /**
     * 添加图像，并将绘画模型与 图像关联，将ugc 用户一起关联
     */
    @PostMapping("addImage")
    public Result<String> addImage() {

        return Result.ok("插入数据成功");
    }

    /**
     * 添加ugc用户
     */
    @PostMapping("addUgcUser")
    public Result<String> addUgcUser() {

        return Result.ok("插入数据成功");
    }


}
