package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 对象 xy_np_template_captions
 *
 * @author wyz
 * @date 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_np_template_captions")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class NpTemplateCaptions extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 平台id
     */
    private Integer plateId;

    /**
     * 基础用户id
     */
    private Long baseUserId;

    /**
     * 语音地址
     */
    private String ttsUrl;

    /**
     * 文字地址
     */
    private String srtUrl;

    /**
     * 时长
     */
    private String duration;

    /**
     * 状态
     */
    private Integer status;


}
