//package com.xyzc.start.domain.bo;
//
//import org.xyzc.system.domain.NpTemplate;
//import io.github.linpeilie.annotations.AutoMapper;
//import lombok.Data;
//import org.xyzc.common.core.validate.*;
//import jakarta.validation.constraints.*;
//
///**
// * 数字人业务对象 xy_np_template
// *
// * @author wyz
// * @date 2024-08-14
// */
//@Data
//@AutoMapper(target = NpTemplate.class, reverseConvertGenerate = false)
//public class NpTemplateBo {
//
//    /**
//     *
//     */
//    @NotNull(message = "不能为空", groups = {EditGroup.class})
//    private Long id;
//
//    /**
//     * 模型id
//     */
//    @NotNull(message = "模型id不能为空", groups = {AddGroup.class, EditGroup.class})
//    private Integer modelId;
//
//    /**
//     * 模型名称
//     */
//    @NotBlank(message = "模型名称不能为空", groups = {AddGroup.class, EditGroup.class})
//    private String robotName;
//
//    /**
//     * 模型描述
//     */
//    @NotBlank(message = "模型描述不能为空", groups = {AddGroup.class, EditGroup.class})
//    private String robotDesc;
//
//    /**
//     * 图片地址
//     */
//    @NotBlank(message = "图片地址不能为空", groups = {AddGroup.class, EditGroup.class})
//    private String coverUrl;
//
//    /**
//     * 性别1男 2女
//性别1男 2女
//性别1男 2女
//1:男，2:女
//     */
//    @NotNull(message = "性别1男 2女
//性别1男 2女
//性别1男 2女
//1:男，2:女不能为空", groups = {AddGroup.class, EditGroup.class})
//    private Integer gender;
//
//    /**
//     * 年龄
//     */
//    @NotNull(message = "年龄不能为空", groups = {AddGroup.class, EditGroup.class})
//    private Integer age;
//
//    /**
//     * 星座
//1:'白羊座', 2:'金牛座', 3:'双子座', 4:'巨蟹座', 5:'狮子座', 6:'处女座',
//7:'天秤座', 8:'天蝎座', 9:'射手座', 10:'摩羯座', 11:'水瓶座', 12:'双鱼座'
//     */
//    @NotNull(message = "星座
//1:'白羊座', 2:'金牛座', 3:'双子座', 4:'巨蟹座', 5:'狮子座', 6:'处女座',
//7:'天秤座', 8:'天蝎座', 9:'射手座', 10:'摩羯座', 11:'水瓶座', 12:'双鱼座'不能为空", groups = {AddGroup.class, EditGroup.class})
//    private Integer starSigns;
//
//    /**
//     *
//     */
//    @NotNull(message = "不能为空", groups = {AddGroup.class, EditGroup.class})
//    private Integer face;
//
//    /**
//     * 发言人Id
//     */
//    @NotNull(message = "发言人Id不能为空", groups = {AddGroup.class, EditGroup.class})
//    private Integer speackerId;
//
//    /**
//     * 场景list,暂存json
//     */
//    @NotBlank(message = "场景list,暂存json不能为空", groups = {AddGroup.class, EditGroup.class})
//    private String sceneList;
//
//}
