package com.xyzc.start.domain.vo;

import lombok.Data;

/**
 * 燃料使用规则
 * <p>
 * author: 杨兴卓
 */
@Data
public class AiModelLawVo {

    /**
     * 模型id
     */
    private Long modelId;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 使用燃料量
     */
    private Integer consumeFuelNumber;

    /**
     * 消耗燃料单位，1-次；2-生成时间（秒）；3-生成结果（秒）
     */
    private Integer consumeFuelUnit;

}
