package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.BaseUserPhotoFolder;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

@Data
@AutoMapper(target = BaseUserPhotoFolder.class)
public class BaseUserPhotoFolderVo {
    /**
     * id
     */
    private Long id;

    /**
     * ossid
     */
    private String photoOssId;

    /**
     * 类型，1-图片处理，2-SD画图
     */
    private Integer type;

    /**
     * 描述
     */
    private String description;

    /**
     * 图片生成状态，0:未启动;1:生成中;2:生成失败;3:生成成功
     */
    private Integer isGenerate;
}
