package com.xyzc.start.domain.vo;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.xyzc.start.domain.DrawModelFeedBack;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

@Data
@AutoMapper(target = DrawModelFeedBack.class)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DrawModelFeedBackVo {

    /**
     * 绘画模型反馈主键
     */
    private Long id;

    /**
     * 反馈的内容
     */
    private String feedbackContent;

    private Long baseUserId;

}
