package com.xyzc.start.mapper;


import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.WebAppGroup;
import com.xyzc.start.domain.query.AppQuery;
import com.xyzc.start.domain.vo.AppPageVo;
import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.WebAppGroupVo;

import java.util.List;

/**
 * 应用分组查询
 */
public interface WebAppGroupMapper extends BaseMapperPlus<WebAppGroup, WebAppGroupVo> {

    /**
     * 根据类型查询应用
     *
     * @param userId 用户id
     * @param typeId
     * @param app
     * @return
     */
    List<AppPageVo> queryAppById(Long userId, Long typeId, AppQuery app);


}
