package com.xyzc.start.request;

import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import java.util.List;

@Data
@Validated
public class NpRequestParams {

    String name;

    String rootId;

    Integer type;

    @NotNull(message = "请输入当前页")
    private Integer page;

    @NotNull(message = "请输入每页条数")
    @Max(message="每页条数不能超过100",value=100)
    private Integer size;

}
